function  fsmtabbdf
% fsmtabbdf
% ButtonDownFcn fr fsmtab zur interaktiven 
% Eingabe des Schaltwerk-Inputs.

% Konstanten
% ==========
cfg = gcf;
cax = gca;
obj = gcbo;
fud = get(cfg,'UserData');

% Neuen Input setzen
% ==================
if ismember(obj,fud.thx) fud.currx = find(obj==fud.thx); end
if ismember(obj,fud.th)  
   [s,j] = find(obj==fud.th); 
   if s==fud.currs
      if fud.stab(s,j)>0
         fud.currs = fud.stab(s,j);
         fud.currx = j;
      else
         sound(cos(2*pi*(0:1000)/8),8000)
         break
      end
   else
      break
   end 
end
set(cfg,'UserData',fud)

% Graphik ndern
% ==============
fsmtabupdate(cfg)

% Assoziierte Graphik ndern
% ==========================
if ~isempty(fud.fig)
   try
      fudfig = get(fud.fig,'UserData');
      fudfig.currs = fud.currs;
      fudfig.currx = fud.currx;
      set(fud.fig,'UserData',fudfig);
      drawfsmupdate(fud.fig)
   end
end
