function kvdiagrambdf
% kvdiagrambdf
% ButtonDownFcn fr kvdiagram

col  = color(1:64,0.7,3);
col  = col(1+rem(1:4:2000,59),:);
cfg  = gcf;
cbo  = gcbo;
fud  = get(cfg,'UserData');
ptud = get(cbo,'UserData');
if isempty(ptud)  ptud = fud.currloop; end

if gca==fud.ax(2)                             % Klick auf Term-Feld
   fud.currloop = ptud;
   k = fud.currloop;
   loopk = fud.loop{k};
   set([fud.ph(loopk),fud.ph2],'FaceColor',col(k,:))
   if ~isempty(loopk)
      n = length(fud.variable);
      x = num2binmat(loopk'-1,n);
      mtnr = '';
      for i=1:length(loopk)
         mtnr = [mtnr sprintf('%4d',loopk(i))];
      end
      set(fud.mth(n+1),'String',mtnr)
      if fud.dmf
         dks1 = '\cap';
         dks0 = '''\cap';
      else
         dks1 = '''\cup';
         dks0 = '\cup';
      end
      r = [];
      for j=1:n
         mtrm = '';
         for i=1:length(loopk)
            mtrm = [mtrm sprintf('%4d',x(i,j))];
         end
         set(fud.mth(j),'String',mtrm)
         if all(x(:,j))   
            set(fud.mth(j),'Color','r')
            r = [r fud.variable{j} dks1 ];   
         elseif all(~x(:,j))  
            set(fud.mth(j),'Color','r')
            r = [r fud.variable{j} dks0];
         else
            set(fud.mth(j),'Color',[0 0.8 0])
         end
      end
      r = r(1:end-4);
      if ~ismember(length(loopk),2.^(0:n))
         r = '';
      end
   else
      r = '';
   end
   set(fud.lth(k),'String',sprintf('%s',r))
else                                          % Klick in KV-Diagramm-Feld
   if fud.currloop==0                         % Funktionswerte setzen
      switch fud.cc
         case '0', fud.tab(ptud.index) = 0;
         case '1', fud.tab(ptud.index) = 1;
         case '*', fud.tab(ptud.index) = -1;
      end
      set(ptud.th,'string',fud.cc)
   else                                       % Schleifen bilden
      loop = fud.loop{fud.currloop};
      if ismember(ptud.index,loop)            % Term aus Schleife entfernen
         loop = setdiff(loop,ptud.index);
         ptud.ls = setdiff(ptud.ls,fud.currloop);
         if length(ptud.ls)<1
            lc = [1 1 1];
         else
            lc = col(ptud.ls(end),:);
         end
         set(ptud.ph,'FaceColor',lc)
         fud.loop{fud.currloop} = loop;
      else                                    % Term in Schleife einfgen
         if fud.tab(ptud.index)~=-1 & fud.tab(ptud.index)~=fud.dmf
            sound(cos(pi/4*(1:1000)),8000)
            break
         end
         set(ptud.ph,'FaceColor',col(fud.currloop,:))
         fud.loop{fud.currloop} = [loop ptud.index];
         ptud.ls = [ptud.ls fud.currloop];
      end 
      k = fud.currloop;
      if isempty(fud.loop{k})
            set(fud.mth,'String','')
      else
         n = length(fud.variable);
         x = num2binmat(fud.loop{k}'-1,n);
         mtnr = '';
         for i=1:length(fud.loop{k})
            mtnr = [mtnr sprintf('%4d',fud.loop{k}(i))];
         end
         set(fud.mth(n+1),'String',mtnr)
         for j=1:n
            mtrm = '';
            for i=1:length(fud.loop{k})
               mtrm = [mtrm sprintf('%4d',x(i,j))];
            end
            set(fud.mth(j),'String',mtrm)
            if all(x(:,j))   
               set(fud.mth(j),'Color','r')
            elseif all(~x(:,j))  
               set(fud.mth(j),'Color','r')
            else
               set(fud.mth(j),'Color',[0 0.8 0])
            end
         end
      end
      set(fud.lth(k),'String','')
   end
   set(cbo,'UserData',ptud)
end
set(cfg,'UserData',fud)
