function bits = morse2bits(morse)
% bits = morse2bits(morse)
% transforms the character string of Morse symbols ".", "-" and " "
% into a bitvector by simple replacement:
% "." ==> "1", "-" ==> "0 1", " " ==> "0 0"
% morse2bits('-.-. --.-  ') yields [0 1 1 0 1 1 0 0 0 1 0 1 1 0 1 0 0 0 0]

% Autor:  K. v. d. Heide,  e-mail:  v.d.heide@on-line.de

bits = '1'==strrep(strrep(strrep(morse,'.','1'),'-','01'),' ','00'); 