%
%
%11.1 Beispiele %<'FontWeight',MSVTITLWEIGHT,'FontSize',MSVTITLSIZE,'Color',MSVTITLCOLOR>
%
%
%
% Es werden in diesem Abschnitt einige einfache Schaltwerke durch ihr Zustandsdiagramm 
% dargestellt.  Es wird ausdrcklich zum Spielen mit diesen interaktiven Graphiken 
% eingeladen.  Der Entwurf wird erst im nchsten und eine Diskussion der Beispiele 
% im letzten Abschnitt dieses Kapitels vorgenommen.
%
%% Nach dem Doppelklick auf das erste Schaltwerk bitte mit der Taste  h  bei 
%% fokussiertem Zustandsdiagramm und danach bei fokussierter bergangstabelle
%% die Hilfe anfordern.  Die Interaktionen wirken immer auf beide Fenster.
%
% Einfaches Schaltwerk mit drei Schritten ohne Input
%
n = 4;
f = [2; 3; 1; 3];
demofsm(f,{'A';'B';'C';'D'},4)
%
% Binrzhler ohne Stopp und Reset
%
n = 4; 
f = [1+mod(1:n,n)]'
demofsm(f)
%
% Binrzhler mit Stopp(1) ohne Reset
%
n = 4; 
f = [1:n; 1+mod(1:n,n)]'
demofsm(f)
%
% Binrzhler mit Stopp(1) und Reset(3)
%
n = 4; 
f = [1:n; 1+mod(1:n,n); ones(1,n)]'
demofsm(f)
%
% Vorwrts-Rckwrtszhler mit Stopp(1), Vorwrts(2), Rckwrts(3)
%
n = 8;   % Anzahl der Zustnde 
f = [1:n; 1+mod(1:n,n); 1+mod(-1:n-2,n)]'  % bergangstabelle
demofsm(f)
%
% Vorwrts-Rckwrtszhler mit Stopp(1), Vorwrts(2), Rckwrts(3) und Reset(4)
%
n = 32;   % Anzahl der Zustnde 
f = [1:n; 1+mod(1:n,n); 1+mod(-1:n-2,n); ones(1,n)]'  % bergangstabelle
demofsm(f)
%
% Zuflliges Schaltwerk:
%
n = 1 + ceil(7*rand);  % zufllige Anzahl von Zustnden 
m = 1 + ceil(7*rand);  % zufllige Anzahl von Inputmglichkeiten
demofsm(ceil(n*rand(n,m)))
%