%
%
%12.5  Binrdecodierer  %<'FontWeight',MSVTITLWEIGHT,'FontSize',MSVTITLSIZE,'Color',MSVTITLCOLOR>
%
%
%
% Binrdecodierer sind Umcodierer, die ein {\fontname{Courier}n}-Bit-Binrwort codieren in den  {\fontname{Courier}2^n-}Bit breiten  
% {\fontname{Courier}1-}aus{\fontname{Courier}-2^n-}Code.
% 
% Beispiel:  4-Bit-Binrdecodierer
%
n = 4;                              % Anzahl der Inputbits
b = '01';                           % Umwandlungstabelle 0 -> '0'; 1 -> '1' 
x = b(1+num2binmat((0:2^n-1)',n));  % alle mglichen Eingabebitmuster
y = bindecod(x);                    % Decodierung in 1-aus-2^n-Code
[x  blanks(2^n)'  blanks(2^n)'  y]  % Tabelle im Kommandofenster
%
%% Das Resultat steht im Kommandofenster, und zwar als Tabelle des Schaltnetzes:
%% links jeweils das Eingabebitmuster und rechts die zugehrige Ausgabe.
%% Wie immer kann man dieses Matlab-Skript mit der Taste c in den Editor holen 
%% und dort z.B. n verndern und dann unter dem Men tools "run" whlen.
%% Sinnvoll sind Werte  1 < n < 7 .
%
% Binrdecodierer werden z.B. zur Adressdecodierung in Speichern bentigt.
%
% Binrdecodierer lassen sich hnlich den Multiplexern aufwandsarm als Bume realisieren.
%