%
%
%3.2  Gleitkommaarithmetik%<'FontWeight',MSVTITLWEIGHT,'FontSize',MSVTITLSIZE,'Color',MSVTITLCOLOR>
%
%
%
%\bfAddition
%
% Gegeben seien zwei Zahlen in wissenschaftlicher Notation, z.B.
%
% {\fontname{Courier}x = 9.725*10^7 ;   y = 3.016*10^6}
%
% Die Summe ergibt sich durch folgende Schritte:
%
% {\fontname{Courier}s = x + y = 9.725*10^7 + 3.016*10^6 }
%
% {\fontname{Courier}          = 9.725*10^7 + 0.3016*10^7 }   Angleichung der Exponenten durch Denormalisierung
%
% {\fontname{Courier}          = (9.725 + 0.3016)*10^7   }   Anwendung des Distributivgesetzes
%
% {\fontname{Courier}          = 10.0266*10^7            }   Addition der Mantissen
%
% {\fontname{Courier}          = 1.00266*10^8            }   Normalisierung
%
% Bei einer Realisierung mit endlich vielen Stellen gehen bei der Denormalisierung 
% und evtl. bei der Normalisierung die niederwertigsten Stellen der Mantisse verloren.  
% Geringfgig verbessern kann man dies durch Rundung.  Mit Rundung und 4-stelliger 
% dezimaler Mantisse ergibt sich fr obiges Beispiel
%
% {\fontname{Courier}s = x + y = 9.725*10^7 + 0.3016*10^7 }   Angleichung der Exponenten durch Denormalisierung
%
% {\fontname{Courier}          = (9.725 + 0.302)*10^7    }   Anwendung des Distributivgesetzes
%
% {\fontname{Courier}          = 10.027*10^7             }   Addition der Mantissen
%
% {\fontname{Courier}          = 1.003*10^8              }   Normalisierung
%
% Die Differenz zu dem ohne Abschneiden von Stellen berechneten Resultat ist  {\fontname{Courier}0.00034} .
% Wegen der Denormalisierung und der Normalisierung ist die Addition von Gleitkommazahlen 
% im allgemeinen nich informationstreu.  Der relative Fehler der Summe zweier positiver 
% Zahlen liegt jedoch in der selben Grssenordnung wie der Fehler der Darstellung der 
% Operanden ohnehin.
%
%
%\bfSubtraktion
%
% Die Subtraktion erfolgt prinzipiell genau wie die Addition.  Es ist nur die Frage noch 
% offen, wie die Subtraktion der denormalisierten Mantissen erfolgen soll.  Entweder 
% es wird hierfr ein eigenes Werk in Hardware realisiert oder die Subtraktion erfolgt 
% durch Addition des Komplements.  Dazu ist im letzteren Fall zunchst das Komplement 
% zu bilden und nach der Addition im Falle eines negativen Ergebnisses wiederum das 
% Komplement zu nehmen.  Das Gleitkommaformat benutzt das Komplement nicht zur 
% Speicherung der Mantisse, weil das Komplement einer verschobenen Mantisse nicht 
% gleich der Verschiebung des Komplements ist.
%
%
%\bfMultiplikation
%
% Die Multiplikation von Gleitkommazahlen ist etwas einfacher als die Addition oder 
% Subtraktion - wenn man vom tatschlichen Hardwareaufwand des Festkomma-Multiplizierers 
% fr die Multiplikation der Mantissen absieht.
%
% Nehmen wir wieder die beiden Zahlen  {\fontname{Courier}x}  und  {\fontname{Courier}y}  aus den vorigen Beispielen, so ergibt sich
%
% {\fontname{Courier}s = x * y = 9.725*10^7 * 3.016*10^7 }   
%
% {\fontname{Courier}          = 9.725 * 3.016 *10^7 * 10^6 } Anwendung von Kommutativ- und Assoziativgesetz
%
% {\fontname{Courier}          = 29.330600*10^{13}           } Multiplikation der Mantissen, Addition der Exponenten
%
% {\fontname{Courier}          = 2.9330600*10^{14}           } Normalisierung
%
% Auch in diesem Fall ist das Resultat ungenau, wenn man die Mantisse bei der 
% Normalisierung im letzten Schritt wieder auf eine vorgegebene Lnge beschrnkt. 
%
% Die Addition der Exponenten ist geringfgig aufwendiger als eine Ganzzahladdition, 
% weil ja der Exponent  {\fontname{Courier}e}  reprsentiert wird durch  {\fontname{Courier}r = e + a} .  Man muss deshalb 
% rechnen:    {\fontname{Courier}r_s  =  r_x + r_y - a  =  e_x + a + e_y + a - a  =  e_s + a} . 
%
%
%\bfDivision
%
% Der Multiplikation entsprechend erfolgt die Division von Zahlen in Gleitkommaformat 
% durch Festkommadivision der Mantissen und Subtraktion der Exponenten.  
%