function y = lagrangeinterpol(xi,yi,x)
% y = lagrangeinterpol(xi,yi,x)
% Polynominterpolation nach Lagrange
% (xi;yi) :  Sttzstellen
% (x;y)   :  neu zu berechnende Punkte
% Der Polynomgrad ist  length(xi) - 1 .

n   = length(xi);
if n==1  y = yi(1); break; end

nn  = 1:n;
for k=1:n  ix(:,k) = find(nn~=k)'; end;
xiix= xi(ix);

for k=1:length(x)
   for j=1:n  
      p(j) = prod((x(k)-xiix(:,j))./(xi(j)-xiix(:,j)))';
   end
   y(k) = sum(yi.*p);
end
