function morse = str2morse(string)
% morse = str2morse(string)
% transforms the character string to a string of Morse symbols.
% morsecode('CQ DE ') yields  '-.-. --.-  -.. .  '

for k = 1:256 code{k} = []; end

code{32} = ' ';
code{46} = '.-.-.- ';
code{47} = '-..-. ';
code{48} = '----- ';
code{49} = '.---- ';
code{50} = '..--- ';
code{51} = '...-- ';
code{52} = '....- ';
code{53} = '..... ';
code{54} = '-.... ';
code{55} = '--... ';
code{56} = '---.. ';
code{57} = '----. ';
code{63} = '..--.. ';
code{65} = '.- ';
code{66} = '-... ';
code{67} = '-.-. ';
code{68} = '-.. ';
code{69} = '. ';
code{70} = '..-. ';
code{71} = '--. ';
code{72} = '.... ';
code{73} = '.. ';
code{74} = '.--- ';
code{75} = '-.- ';
code{76} = '.-.. ';
code{77} = '-- ';
code{78} = '-. ';
code{79} = '--- ';
code{80} = '.--. ';
code{81} = '--.- ';
code{82} = '.-. ';
code{83} = '... ';
code{84} = '- ';
code{85} = '..- ';
code{86} = '...- ';
code{87} = '.-- ';
code{88} = '-..- ';
code{89} = '-.-- ';
code{90} = '--.. ';

morse  = [code{double(upper(string))}];