%
%
%7.1  Definition%<'FontWeight',MSVTITLWEIGHT,'FontSize',MSVTITLSIZE,'Color',MSVTITLCOLOR>
%
%
%
% {\fontname{Courier}B = \{0,1\}}  sei die binre Menge.  Eine Abbildung   {\fontname{Courier}f:{\bfB}^n \rightarrow {\bfB}}   bezeichnen wir als  
% {\bfbinre Funktion}  und alternativ auch als  {\bfSchaltfunktion}  von  {\fontname{Courier}n}  binren Variablen. 
% Wir betrachten also nicht den abgebildeten Vektor als Variable sondern seine Komponenten.
%
% Schaltfunktionen lassen sich durch Tabellen beschreiben.  Eine einfache Tabellenform 
% wird in der Funktion  {\fontname{Courier}binexp2bintab}  benutzt.  Zum Anklicken sind hier einige 
% Funktionen angeboten:
%
binexp2bintab('0',{},2)                 % Null-Funktion
%
binexp2bintab('1',{},2)                 % Eins-Funktion
%
binexp2bintab('~a',{'a'},2)             % Nicht-Funktion
%
binexp2bintab('a&b',{'a';'b'},2)        % Und-Funktion
%
binexp2bintab('a|b',{'a';'b'},2)        % Oder-Funktion
%
binexp2bintab('xor(a,b)',{'a';'b'},2)   % Exklusiv-Oder-Funktion
%
binexp2bintab('nand(a,b)',{'a';'b'},2)  % NAND-Funktion
%
% Als Beispiel eine beliebige Schaltfunktion mit drei Variablen sowie zwei 
% Parametern, die in MATLAB-Syntax mit Werten versorgt werden:
%
binexp2bintab('a2=1; p=0; (beta|alpha) & (~a2|v7) & p|v7', {'beta'; 'alpha'; 'v7'}, 2)
%
% Natrlich ist es auch mglich, die beiden Parameter als Variable anzugeben:
%
binexp2bintab('(beta|alpha) & (~a2|v7) & p|v7', {'beta'; 'alpha'; 'v7'; 'a2'; 'p'}, 2)
%
% Die vertikale Lnge dieser Tabellen ist offenbar gegeben durch  {\fontname{Courier}2^n} , wo  {\fontname{Courier}n}  die Anzahl 
% der binren Variablen ist.  Eine Schaltfunktion von  {\fontname{Courier}n}  Variablen lsst sich also durch 
% einen Binrvektor der Lnge  {\fontname{Courier}2^n}  eindeutig beschreiben.  Da jede Komponente nur 
% zwei mgliche Werte annehmen kann, gibt es insgesamt   {\fontname{Courier}2^{(2^n)}}  verschiedene 
% Schaltfunktionen von  {\fontname{Courier}n}  Variablen.  Wir tabellieren diese Zahl fr  {\fontname{Courier}n = 1,...,4} :
%
n = (1:4)';
[n  2.^(2.^n)]
%
%
%