%
%
%7.2  Vektorraum der Schaltfunktionen%<'FontWeight',MSVTITLWEIGHT,'FontSize',MSVTITLSIZE-8,'Color',MSVTITLCOLOR>
%
%
%
% {\fontname{Courier}T_n}  sei die Menge aller Schaltfunktionen mit  {\fontname{Courier}n}  Variablen und  {\fontname{Courier}B = GF(2)}
% der endliche Krper mit zwei Elementen und den inneren Verknpfungen 
% {\fontname{Courier}exklusives Oder}  bzw.  {\fontname{Courier}Und} , die hier mit den Infixsymbolen  {\fontname{Courier}+}  und  {\fontname{Courier}*}  notiert 
% werden sollen.  Wir definieren nun die Addition von Schaltfunktionen  {\fontname{Courier}f,g,h\inT_n}  
% sowie das Produkt einer Schaltfunktion  {\fontname{Courier}f\inT_n}  mit einem Skalar  {\fontname{Courier}\lambda\inB} :
%
%     h = f \oplus g  ,   wo   h(x) = f(x) + g(x)  \forall x\inB^n            %<'FontName',MSVFORMFONT>
%   
%     p = \lambda \otimes f  ,   wo  p(x) = \lambda * f(x)  \forall x\inB^n   %<'FontName',MSVFORMFONT>
%
% {\fontname{Courier}\oplus}  und  {\fontname{Courier}\otimes}  bezeichnen als Infixsymbole die neu definierten Operationen auf 
% der Menge  {\fontname{Courier}T_n} ,  {\fontname{Courier}+}  und  {\fontname{Courier}*}  die inneren Verknpfungen von  {\fontname{Courier}B} .  Mit diesen 
% Definitionen ist die Menge  {\fontname{Courier}T_n}  der Schaltfunktionen von  {\fontname{Courier}n}  Variablen ein 
% Vektorraum.  Dem Leser sei der Beweis der Axiome  V_1  bis  V_4  als bung 
% empfohlen.
%
%
% Eine Schaltfunktion  {\fontname{Courier}f\inT_n} , fr die gilt
%
% {\fontname{Courier}    f(x) = 1  (0)   }fr genau ein  {\fontname{Courier}x\inB^n}  und 
% {\fontname{Courier}    f(y) = 0  (1)   \forall  y\neqx ,  y\inB^n}
%
% nennen wir eine  {\bfEinspunktfunktion} ({\bfNullpunktfunktion}) oder in anderem 
% Zusammenhang  {\bfMinterm}  ({\bfMaxterm}).
%
% Die folgende Tabelle stellt smtliche Einspunktfunktionen aus dem  {\fontname{Courier}T_3}  dar:
%
%   x       b_1(x)   b_2(x)   b_3(x)   b_4(x)   b_5(x)   b_6(x)   b_7(x)   b_8(x)  %<'FontName',MSVFORMFONT>
% ----------------------------------------------------------------------    %<'FontName',MSVFORMFONT> 
% 0 0 0       1       0       0       0       0       0       0       0     %<'FontName',MSVFORMFONT>
% 0 0 1       0       1       0       0       0       0       0       0     %<'FontName',MSVFORMFONT>
% 0 1 0       0       0       1       0       0       0       0       0     %<'FontName',MSVFORMFONT>
% 0 1 1       0       0       0       1       0       0       0       0     %<'FontName',MSVFORMFONT>
% 1 0 0       0       0       0       0       1       0       0       0     %<'FontName',MSVFORMFONT>
% 1 0 1       0       0       0       0       0       1       0       0     %<'FontName',MSVFORMFONT>
% 1 1 0       0       0       0       0       0       0       1       0     %<'FontName',MSVFORMFONT>
% 1 1 1       0       0       0       0       0       0       0       1     %<'FontName',MSVFORMFONT>
%
% Eine Einspunktfunktion lsst sich nicht als Linearkombination der anderen 
% Einspunktfunktionen darstellen, da diese durchweg fr den Variablenvektor, 
% bei dem die darzustellende Einspunktfunktion gleich  {\fontname{Courier}1}  ist, verschwinden. 
% Die  {\fontname{Courier}2^n}  Einspunktfunktionen sind damit linear unabhngig und spannen den 
% {\fontname{Courier}T_n}  auf.  Sie stellen also eine Basis dar.  Jede Schaltfunktion  {\fontname{Courier}f\inT_n}  lsst sich 
% in der Form
%
%     2^n                                    %<'FontName',MSVFORMFONT>
% f = _{\fontsize{26}\Sigma} f_i b_i^{(n)}   %<'FontName',MSVFORMFONT>
%     i=1                                    %<'FontName',MSVFORMFONT>
%
% als Linearkombination der Einspunktfunktionen darstellen.  Die  {\fontname{Courier}f_i\inB  (i=1,...,2^n)} 
% bilden den Komponentenvektor von  {\fontname{Courier}f}  bezglich der Basis der Einspunktfunktionen.
% Er ist identisch mit der rechten Spalte der Funktionstabelle.
%