%
%
%7.4.4  Minimierung bei unvollstndiger Spezifikation %<'FontWeight',MSVTITLWEIGHT,'FontSize',MSVTITLSIZE-16,'Color',MSVTITLCOLOR>
%
%
%
% Eine unvollstndige Spezifikation liegt dann vor, wenn die Funktionswerte nicht 
% fr alle mglichen Kombinationen der binren Variablen festgelegt sind.  Das ist 
% dann der Fall, wenn gewisse Variablenkombinationen beim vorgesehenen Einsatz 
% gar nicht vorkommen knnen.  Als Beispiel nehmen wir die Schaltfunktion, die 
% fr binr codierte Dezimalziffern angeben soll, ob die Ziffer durch  3  teilbar 
% ist.  Die Funktionswerte fr sechs Eingabekombinationen sind irrelevant.  Wir 
% knnen diese Funktionswerte bei der Minimierung nach Belieben so setzen, dass 
% mglichst grosse Schleifen entstehen.  Die irrelevanten Stellen, sog. Don't-Care-
% Punkte, werden im KV-Diagramm durch Sterne anstelle der  0  bzw.  1  markiert. 
% In den numerischen Funktionstabellen benutzen wir wegen der einfacheren Realisierung 
% anstelle der Sterne den numerischen Wert  -1 .  Das oben genannte Beispiel 
% sieht dann so aus:
%
global KVMINEXP
ftab = [0 0 0 1 0 0 1 0 0 1 -1 -1 -1 -1 -1 -1]
var  = {'a';'b';'c';'d'};
kvdiagram(ftab,var)
%
%% Wie in den vorigen Abschnitten kann das Resultat (nach Speichern mit der Taste r)
%% hier geprft werden:
%
checkkvmin(KVMINEXP,ftab,var,5,2)
%
% Die selbe Schaltfunktion kann natrlich auch als konjunktive Minimalform 
% realisiert werden.
%
%% Tippen Sie nach der Generierung des KV-Diagramms zunchst die Taste "k", um
%% Nullen als Schleifen whlen zu knnen:
%
global KVMINEXP
ftab = [0 0 0 1 0 0 1 0 0 1 -1 -1 -1 -1 -1 -1]
var  = {'a';'b';'c';'d'};
kvdiagram(ftab,var)
%
%% Prfung des Resultats (nach Tippen der Taste "r"):
%
checkkvmin(KVMINEXP,ftab,var,2,3)
%
% Die konjunktive Minimalform ist in diesem Fall etwas einfacher als die disjunktive.
%